org.codehaus.plexus.util

## Class LineOrientedInterpolatingReader

- java.lang.Object
- - java.io.Reader
  - - java.io.FilterReader
    - - org.codehaus.plexus.util.LineOrientedInterpolatingReader

All Implemented Interfaces:
  Closeable, AutoCloseable, Readable

    public class LineOrientedInterpolatingReader
    extends FilterReader

Author:
  jdcasey Created on Feb 3, 2005

### Field Summary

Fields
`static String` `DEFAULT_END_DELIM`
`static String` `DEFAULT_ESCAPE_SEQ`
`static String` `DEFAULT_START_DELIM`

### Fields inherited from class java.io.FilterReader

`in`

### Fields inherited from class java.io.Reader

`lock`

### Constructor Summary

Constructors
Constructor and Description
`LineOrientedInterpolatingReader(Reader reader, Map context)`
`LineOrientedInterpolatingReader(Reader reader, Map context, String startDelim, String endDelim)`
`LineOrientedInterpolatingReader(Reader reader, Map context, String startDelim, String endDelim, String escapeSeq)`

### Method Summary

Methods
`int` `read()`
`int` `read(char[] cbuf, int off, int len)`
`long` `skip(long n)`

### Methods inherited from class java.io.FilterReader

`close, mark, markSupported, ready, reset`

### Methods inherited from class java.io.Reader

`read, read`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_START_DELIM

    public static final String DEFAULT_START_DELIM

See Also:
  Constant Field Values

#### DEFAULT_END_DELIM

    public static final String DEFAULT_END_DELIM

See Also:
  Constant Field Values

#### DEFAULT_ESCAPE_SEQ

    public static final String DEFAULT_ESCAPE_SEQ

See Also:
  Constant Field Values

### Constructor Detail

#### LineOrientedInterpolatingReader

    public LineOrientedInterpolatingReader(Reader reader,
                                   Map context,
                                   String startDelim,
                                   String endDelim,
                                   String escapeSeq)

#### LineOrientedInterpolatingReader

    public LineOrientedInterpolatingReader(Reader reader,
                                   Map context,
                                   String startDelim,
                                   String endDelim)

#### LineOrientedInterpolatingReader

    public LineOrientedInterpolatingReader(Reader reader,
                                   Map context)

### Method Detail

#### read

    public int read()
             throws IOException

Overrides:
  `read` in class `FilterReader`
Throws:
  `IOException`

#### read

    public int read(char[] cbuf,
           int off,
           int len)
             throws IOException

Overrides:
  `read` in class `FilterReader`
Throws:
  `IOException`

#### skip

    public long skip(long n)
              throws IOException

Overrides:
  `skip` in class `FilterReader`
Throws:
  `IOException`